Name: pciutils
Version: 2.1.11
Release: 11tr
Source: ftp://ftp.kernel.org/pub/software/utils/pciutils/pciutils-%{version}.tar.gz
#Patch: pciutils-werror.patch
Patch2: pciutils-bufsiz.patch
Patch3: pciutils-2.1.4-no-kernel-include.patch
License: GPL
Buildroot: /tmp/%{name}-%{version}-root
ExclusiveOS: Linux
ExcludeArch: armv4l
Summary: Linux PCI utilities.
Group: Trustix Official

%description
This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci
interface).

%package devel
Summary: Linux PCI development library.
Group: Trustix Official

%description devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%prep
%setup -q
#%patch -p1
%patch2 -p1
#%patch3 -p1

%build
export RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS | sed -e 's/-D_FILE_OFFSET_BITS=64//' |\
			sed -e 's/-D_LARGE_FILES=1//' |\
			sed -e 's/-D_LARGEFILE64_SOURCE=1//'` %{?no_stack_protector}"
make OPT="$RPM_OPT_FLAGS" PREFIX=/usr

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{sbin,/usr/share/man/man8,/usr/lib,/usr/include/pci}

install -s lspci setpci $RPM_BUILD_ROOT/sbin
install lspci.8 setpci.8 $RPM_BUILD_ROOT/usr/share/man/man8
install pci.ids $RPM_BUILD_ROOT/usr/share
install lib/libpci.a $RPM_BUILD_ROOT/usr/lib
install lib/pci.h $RPM_BUILD_ROOT/usr/include/pci
install lib/header.h $RPM_BUILD_ROOT/usr/include/pci
install lib/config.h $RPM_BUILD_ROOT/usr/include/pci

%files
%defattr(-, root, root)
%attr(0644, root, root) /usr/share/man/man8/*
%attr(0755, root, root) /sbin/*
%attr(0644, root, root) %config /usr/share/pci.ids
%doc README ChangeLog pciutils.lsm

%files devel
%defattr(-, root, root)
/usr/lib/libpci.a
/usr/include/pci

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 17 2004 Chr. Toldnes <christht at trustix dot org> 2.1.11-9tr
- Build without stack protection (darn anaconda!)

* Wed Dec 17 2003 Erlend Midttun <erlendbm at trustix dot org> 2.1.11-8tr
- New opt flags.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 2.1.11-7tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1.11-6tr
- Big rebuild

* Tue Jun 16 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1.11-5em
- Fixed %defattr.

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1.11-4em
- Try to make lspci use the correct pci.ids.

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1.11-3em
- No longer PreReq, have correct %defatr instead.

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 2.1.11-2ct
- PreReq setup

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 2.1.11-1ct
- New upstram version
- Removed Dependency on kernel

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1.8-4em
- Rebuilt against glibc 2.3.2.

* Thu Sep 14 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 2.1.8. Removed no-kernel patch.

* Wed Mar 29 2000 Lars Gaarden <larsg at trustix dot com>
- Moved man pages to /usr/share, FHS.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Jan 24 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.4

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- update to 2.1.3

* Fri Dec 24 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.2

* Tue Jun 29 1999 Bill Nottingham <notting@redhat.com>
- add -devel package

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0

* Mon Apr 19 1999 Jakub Jelinek  <jj@ultra.linux.cz>
- update to 1.99.5
- fix sparc64 operation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Feb  4 1999 Bill Nottingham <notting@redhat.com>
- initial build
